import { $t } from '#/locales';

/**
 * 列
 */
const columns = [
  // {
  //   title: $t('robot.configRelation.robotGroupUuid'),
  //   dataIndex: 'robotGroupUuid',
  //  
  // },
  {
    title: $t('robot.configRelation.groupName'),
    dataIndex: 'groupName',
   
  },
  // {
  //   title: $t('robot.configRelation.robotUuid'),
  //   dataIndex: 'robotUuid',
  //  
  // },
  {
    title: $t('robot.configRelation.robotAccount'),
    dataIndex: 'robotAccount',
   
  },
  {
    title: $t('robot.configRelation.configType'),
    dataIndex: 'configType',
   
  },
  {
    title: $t('robot.configRelation.configName'),
    dataIndex: 'configName',
   
  },
    {
    title: $t('robot.configRelation.remark'),
    dataIndex: 'remark',
   
  },
  {
    title: $t('robot.configRelation.configPriority'),
    dataIndex: 'configPriority',
   
  },
  {
    title: $t('robot.configRelation.startTime'),
    dataIndex: 'startTime1',
sorter: true,
  },
  {
    title: $t('robot.configRelation.endTime'),
    dataIndex: 'endTime1',
sorter: true,
  },
  {
    title: $t('robot.configRelation.createTime'),
    dataIndex: 'createTime',
sorter: true,
  },
  {
    title: $t('robot.configRelation.creator'),
    dataIndex: 'creator',
   
  },
  {
    title: $t('common.action'),
    dataIndex: 'action',
    fixed: 'right',
    width: 160
  }
]

/**
 * 查询参数
 */
const query = {
  robotGroupUuid: '',
  groupName: undefined,
  robotUuid: '',
  configType: undefined,
  configName: undefined,
  creator: ''
};

export const d = {
  isShowQuery: true,
  loading: false,
  pagination: {
    total: 0,
    current: 1,
    pageSize: 10,
    showTotal: (total, range) => `共 ${total} 条`,
    showSizeChanger: true,
    pageSizeOptions: ['10', '20', '50', '100', '500', '1000'],
    showQuickJumper: true,
  },
  datas: [],
  query,
  columns,
}